commit:     9bae0c395c9e81bf0907573a5da1b40ce7ca91f1
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Jun  5 22:05:00 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Jul 16 10:01:22 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bae0c39

app-text/liblangtag: version bump to 0.6.0.

Gentoo-Bug: http://bugs.gentoo.org/571880
Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1626

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-text/liblangtag/Manifest                |  1 +
 app-text/liblangtag/liblangtag-0.6.0.ebuild | 41 +++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-text/liblangtag/Manifest b/app-text/liblangtag/Manifest
index ad706ae..2c8e91f 100644
--- a/app-text/liblangtag/Manifest
+++ b/app-text/liblangtag/Manifest
@@ -1,2 +1,3 @@
 DIST liblangtag-0.5.6.tar.bz2 668949 SHA256 
5cdec61f4ef8d4b1a198682fcdd17e88cb293549af5878d6ee4bdd55d129bd84 SHA512 
60297d79b20c72a0ebf5fd685efbcb3eb2d40461cfe532fd5e4f2193c81c9037b8c69f9cb0977f640a7d8f315cb14508de9455334115b152ed30d23f91d75e52
 WHIRLPOOL 
0805c9dcde9802818ec4e19309eb9b09e4dfe77627fefcb190203110b9ec133083d48c0474171368e1b061612f1e06bc936d1dc1ad1ad551dd276afe3db26fb5
 DIST liblangtag-0.5.8.tar.bz2 672452 SHA256 
08e2f64bfe3f750be7391eb0af53967e164b628c59f02be4d83789eb4f036eaa SHA512 
477f74d8b7eab66e5c503942117d8b448dd9d1b13866b3ec48388058bc0e5e4c6215ece88405fd947515cd092853f069d70b3fe2f307a9b41cb697b6b1dc3baf
 WHIRLPOOL 
7036649534870e34dab5f68f1a97c5aee4649df6cc076026795f09775efca7a00b3eb047743aef3efeccd901add3942e6c9f5c097124193cdd57463a250ef133
+DIST liblangtag-0.6.0.tar.bz2 760974 SHA256 
df84efd7e3e67cc8a38ece1e23f080c70ea29b26590ee324d03f1df37bf46576 SHA512 
d6a2e38e11a5413408fffc1f8defc2a556a3a4b73538d01592ba7a3cad9768c52a030103893c8924f02328edc3f62a232c5efc1d74ddb41f41b146d8a9f0df27
 WHIRLPOOL 
72e6cddfe9e49b48dd0db3ef33ef92d087ff56fc7b65aabe6ae9a2f63d89ca98bfb4628c677a01251b4722ee42d9cb236cf4c184c1d7f27c3bcf04a54a4e4dee

diff --git a/app-text/liblangtag/liblangtag-0.6.0.ebuild 
b/app-text/liblangtag/liblangtag-0.6.0.ebuild
new file mode 100644
index 0000000..c431d7c
--- /dev/null
+++ b/app-text/liblangtag/liblangtag-0.6.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="An interface library to access tags for identifying languages"
+HOMEPAGE="https://tagoh.bitbucket.org/liblangtag/";
+SRC_URI="https://bitbucket.org/tagoh/${PN}/downloads/${P}.tar.bz2";
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="introspection static-libs test"
+
+RDEPEND="
+       dev-libs/glib:*
+       dev-libs/libxml2
+       introspection? ( >=dev-libs/gobject-introspection-0.10.8 )"
+DEPEND="${RDEPEND}
+       dev-util/gtk-doc
+       sys-devel/gettext
+       introspection? ( dev-libs/gobject-introspection-common )
+       test? ( dev-libs/check )"
+
+# Upstream expect liblangtag to be installed when one runs tests...
+RESTRICT="test"
+
+src_configure() {
+       econf \
+               $(use_enable introspection) \
+               $(use_enable static-libs static) \
+               $(use_enable test)
+}
+
+src_install() {
+       default
+       prune_libtool_files --all
+}

Reply via email to